import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:furibase/providers/character_provider.dart';
import 'package:furibase/screen/Home_screen.dart';
import 'package:provider/provider.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();

  SystemChrome.setEnabledSystemUIMode(SystemUiMode.immersiveSticky);
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider(
      create: (context) => CharacterProvider(),
      child: MaterialApp(
        debugShowCheckedModeBanner: false,
        title: 'AR Character App',
        theme: ThemeData.dark(),
        home:
            // DrawScreen(),
            HomeScreen(),
      ),
    );
  }
}
